Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 11/09/2016, à 09:52

Redostd

[Résolu] Code PhP interpreté aléatoirement

Bonjour à tous,

Aujourd'hui, après avoir installer kubuntu 16.04 sur mon PC Portable en Dual Boot avec Windows, j'ai décidé d'y installer les packets nécéssaires pour faire du web de base (Apache2, MySQL, PhP).

Mais le problème c'est que voilà, mon code php est interprété un peu aléatoirement.

Par exemple, pour ce simple bout de code :

<html>
    <head>
        <title>Well, the HTML is working</title>
    </head>
    <body>
        <p>This text was written with HTML</p>
        <?php echo "<p>And this one with PhP</p>"; ?>
    </body>
</html>

Le résultat est déjà étrange, voici le résultat sur la page :

This text was written with HTML
And this one with PhP

"; ?> 

J'ai également créé une page avec "phpinfo();" dedans mais je tombe sur une page totalement blanche.


Dernière petite précision : Quand j’exécute les script php via CLI, les scripts s’exécutent parfaitement.

Le problème viendrait-il donc d'apache ? Ou simplement d'un PhP (version 7) un peu instable ? (Sachant que si je tape "sudo apt-get install php5" il ne me trouve aucun packet)

Merci par avance

Dernière modification par Redostd (Le 11/09/2016, à 18:15)

Hors ligne

#2 Le 11/09/2016, à 11:02

ljere

Re : [Résolu] Code PhP interpreté aléatoirement

je te conseille de downgrader php avec ce ppa

sudo add-apt-repository -y ppa:ondrej/php
sudo apt-get update
sudo apt-get install php5.6

Toshiba satellite_c670d-11l ubuntu 21.04

Hors ligne

#3 Le 11/09/2016, à 11:11

gl38

Re : [Résolu] Code PhP interpreté aléatoirement

Tu pourrais aussi lire cette page
Cordialement,
Guy

En ligne

#4 Le 11/09/2016, à 18:15

Redostd

Re : [Résolu] Code PhP interpreté aléatoirement

ljere a écrit :

je te conseille de downgrader php avec ce ppa

sudo add-apt-repository -y ppa:ondrej/php
sudo apt-get update
sudo apt-get install php5.6

Merci beaucoup, le downgrade a résolu le problème ! Etrange tout de meme que le packet par défaut soit php 7 alors qu'il soit instable comme ça...

gl38 a écrit :

Tu pourrais aussi lire cette page
Cordialement,
Guy

Sans vouloir etre méchant ou agressif, je connais le PhP depuis maintenant 3 ans et je suis actuellement dans des études sur ce point, donc le coup de l'extension du fichier, je connaissais déjà ! Mais merci quand meme d'avoir voulu aider !

Hors ligne

#5 Le 11/09/2016, à 19:23

gl38

Re : [Résolu] Code PhP interpreté aléatoirement

Chez moi il y a php 7 et si on remplace echo par print  dans la ligne php de ton exemple comme il est dit dans la doc pour débutant, ça marche.
Cordialement,
Guy

En ligne

#6 Le 11/09/2016, à 19:58

Redostd

Re : [Résolu] Code PhP interpreté aléatoirement

gl38 a écrit :

Chez moi il y a php 7 et si on remplace echo par print  dans la ligne php de ton exemple comme il est dit dans la doc pour débutant, ça marche.
Cordialement,
Guy

Du coup, je n'ai pas essayé le print() en PhP 7, mais il n’empêche que phpinfo() me retournais une page blanche, et rien que là, on pouvait bien observer un problème.

PS : J'avais "installé" Codiad, et directement sur la page d'accueil, j'obtenais un désordre monstre au niveau de l'affichage (du PhP partout avec seulement trois input sur la page, disposés aléatoirement sur la page)

Donc même si le print() fonctionnait, il aurait fallu trouver des alternatives à la plupart des fonctions de PhP, chose un peu lourde quand même, voire impossible dans certain cas

Hors ligne

#7 Le 11/09/2016, à 21:42

gl38

Re : [Résolu] Code PhP interpreté aléatoirement

La page de phpinfo() s'affiche normalement chez moi.
Cordialement,
Guy

En ligne

#8 Le 12/09/2016, à 17:37

ljere

Re : [Résolu] Code PhP interpreté aléatoirement

perso j'avais essayé php7 sur mon serveur est le résultat était une page totalement inutilisable


Toshiba satellite_c670d-11l ubuntu 21.04

Hors ligne

#9 Le 13/09/2016, à 16:11

bruno

Re : [Résolu] Code PhP interpreté aléatoirement

Voilà une résolution de problème bien mal menée…
PHP 7.0 fonctionne parfaitement sur Ubuntu 16.04 comme sur d'autres systèmes, et c'est une version de PHP tout ce qu'il y a de plus stable !
Le code donné dans le premier message doit fonctionner avec PHP 7.0, de même que la fonction phpinfo(). Si cela ne fonctionnait pas c'est que PHP était mal (ou pas complètement) installé.
Je trouve un peu fumeux de conseiller un retour à la version 5.6 via un PPA…
Si on fait du développement autant utiliser PHP 7.0. Si on veut utiliser des applications qui ne sont pas (encore) compatible avec PHP 7.0, le mieux est de continuer à utiliser la version précédente d'Ubuntu (14.04).


Jusqu'à 100% d'économies avec le Green Friday !

Hors ligne

#10 Le 05/10/2016, à 18:30

Redostd

Re : [Résolu] Code PhP interpreté aléatoirement

Je reviens donner des nouvelles !

L'utilisation de php5.6 était effectivement une solution mais pas très propre comme beaucoup l'auront fait remarquer.
Voici les commandes que j'ai utilisé sur une machine virtuelle en 16.04 version serveur :

apt-get install php7.0*

Puis :

apt-get install libapache2-mod-php7.0

Quand on effectue que la première commande, php est fonctionnel, mais que via CLI. La deuxième permet la liaison entre php et apache, ce qui fait que tout fonctionne à merveille ensuite !

Voilà, j'espère que ça va aider ceux qui tienne à utiliser php7 et qui rencontrerai ce problème.

Dernière modification par Redostd (Le 05/10/2016, à 18:31)

Hors ligne